org.apache.ignite.internal.processors.igfs

## Interface IgfsServerHandler

    public interface IgfsServerHandler

IGFS server message handler. Server component that is plugged in to the server implementation to handle incoming messages asynchronously.

### Method Summary

Methods
`IgniteInternalFuture<IgfsMessage>` `handleAsync(IgfsClientSession ses, IgfsMessage msg, DataInput in)` Asynchronously handles incoming message.
`void` `onClosed(IgfsClientSession ses)` Handles handles client close events.
`void` `stop()` Stops handling of incoming requests.

### Method Detail

#### handleAsync

    @Nullable
    IgniteInternalFuture<IgfsMessage> handleAsync(IgfsClientSession ses,
                                                         IgfsMessage msg,
                                                         DataInput in)

Asynchronously handles incoming message.

Parameters:
  `ses` - Client session.
  `msg` - Message to process.
  `in` - Data input. Stream to read from in case if this is a WRITE_BLOCK message.
Returns:
  Future that will be completed when response is ready or `null` if no response is required.

#### onClosed

    void onClosed(IgfsClientSession ses)

Handles handles client close events.

Parameters:
  `ses` - Session that was closed.

#### stop

    void stop()
              throws IgniteCheckedException

Stops handling of incoming requests. No server commands will be handled anymore.

Throws:
  `IgniteCheckedException` - If error occurred.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015